## org.apache.commons.collections
Class HashBag

    java.lang.Object
      org.apache.commons.collections.DefaultMapBag
          org.apache.commons.collections.HashBag

All Implemented Interfaces:
  Bag, Collection

Deprecated. Moved to bag subpackage and rewritten internally. Due to be removed in v4.0.

public class HashBag
extends DefaultMapBag
implements Bag

A `Bag` that is backed by a `HashMap`.

Since:
  Commons Collections 2.0
Version:
  $Revision: 1.13 $ $Date: 2004/02/18 01:15:42 $
Author:
  Chuck Burdick

Constructor Summary
`HashBag()` Deprecated. Constructs an empty `HashBag`.
`HashBag(Collection coll)` Deprecated. Constructs a `Bag` containing all the members of the given collection.

Methods inherited from class org.apache.commons.collections.DefaultMapBag
`add, add, addAll, calcTotalSize, clear, contains, containsAll, containsAll, equals, getCount, getMap, hashCode, isEmpty, iterator, remove, remove, removeAll, retainAll, retainAll, setMap, size, toArray, toArray, toString, uniqueSet`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.commons.collections.Bag
`add, add, containsAll, getCount, iterator, remove, remove, removeAll, retainAll, size, uniqueSet`

Methods inherited from interface java.util.Collection
`addAll, clear, contains, equals, hashCode, isEmpty, toArray, toArray`

Constructor Detail

### HashBag

    public HashBag()

  Deprecated.
  Constructs an empty `HashBag`.

### HashBag

    public HashBag(Collection coll)

  Deprecated.
  Constructs a `Bag` containing all the members of the given collection.

Parameters:
  `coll` - a collection to copy into this bag

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.